petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSStep

Steps one time step

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSStep(TS ts)

Collective on TS

### Input Parameter

ts -the TS context obtained from TSCreate()

### Notes

The public interface for the ODE/DAE solvers is TSSolve(), you should almost for sure be using that routine and not this routine.

The hook set using TSSetPreStep() is called before each attempt to take the step. In general, the time step size may be changed due to adaptive error controller or solve failures. Note that steps may contain multiple stages.

This may over-step the final time provided in TSSetDuration() depending on the time-step used. TSSolve() interpolates to exactly the time provided in TSSetDuration(). One can use TSInterpolate() to determine an interpolated solution within the final timestep.

### Keywords

TS, timestep, solve

### See Also

TSCreate(), TSSetUp(), TSDestroy(), TSSolve(), TSSetPreStep(), TSSetPreStage(), TSSetPostStage(), TSInterpolate()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex6.c.html